Bug 225059 - mail/*notmuch: update to 0.26
Summary: mail/*notmuch: update to 0.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL: https://reviews.freebsd.org/D13944
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-10 20:18 UTC by Sebastian Schwarz
Modified: 2018-02-27 05:04 UTC (History)
5 users (show)

See Also:
seschwar: maintainer-feedback? (geier)
seschwar: maintainer-feedback? (mp39590)


Attachments
notmuch-0.26.diff (1.73 KB, patch)
2018-01-10 20:18 UTC, Sebastian Schwarz
no flags Details | Diff
notmuch-0.26.diff (8.12 KB, patch)
2018-01-16 22:44 UTC, Sebastian Schwarz
no flags Details | Diff
notmuch-0.26.diff (9.33 KB, patch)
2018-01-27 11:51 UTC, Sebastian Schwarz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Schwarz 2018-01-10 20:18:53 UTC
Created attachment 189600 [details]
notmuch-0.26.diff

The attached patch updates mail/notmuch and mail/py-notmuch to 0.26, which was released just recently: https://notmuchmail.org/pipermail/notmuch/2018/026133.html

The updated ports build cleanly in poudriere under FreeBSD 11.1 on amd64 and work as expected.
Comment 1 Dima Panov freebsd_committer 2018-01-13 10:26:38 UTC
Please track situation when DESKTOP option defined without EMACS - it fails to build package, DESKTOP should imply EMACS defined

--- Makefile.bak        2018-01-13 20:25:24.882256000 +1000
+++ Makefile    2018-01-13 20:24:54.689740000 +1000
@@ -71,6 +71,12 @@
 RUBY_USE=      RUBY=yes
 ZSH_CONFIGURE_WITH=    zsh-completion

+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MDESKTOP} && !${PORT_OPTIONS:MEMACS}
+PORT_OPTIONS+= EMACS
+.endif
+
 do-build-MUTT-on:
        ${MAKE_CMD} -C ${WRKSRC}/contrib/notmuch-mutt all
        ${GZIP_CMD} ${WRKSRC}/contrib/notmuch-mutt/notmuch-mutt.1
Comment 2 Dima Panov freebsd_committer 2018-01-13 10:40:32 UTC
(In reply to Dima Panov from comment #1)


Oh, do it in Right Way™



--- Makefile.bak        2018-01-13 20:25:24.882256000 +1000
+++ Makefile    2018-01-13 20:39:34.516126000 +1000
@@ -55,6 +55,7 @@
 BASH_RUN_DEPENDS=      ${BASH_BUILD_DEPENDS}
 BASH_CONFIGURE_WITH=   bash-completion
 DESKTOP_CONFIGURE_WITH=        desktop
+DESKTOP_IMPLIES=       EMACS
 DESKTOP_USES=          desktop-file-utils
 DOXYGEN_CONFIGURE_WITH=        api-docs
 DOXYGEN_BUILD_DEPENDS= doxygen:devel/doxygen
Comment 3 Sebastian Schwarz 2018-01-16 22:44:27 UTC
Created attachment 189815 [details]
notmuch-0.26.diff

I've performed a few more changes besides the DESKTOP_IMPLIES one and created a Phabricator revision for easier review: https://reviews.freebsd.org/D13944
Comment 4 Sebastian Schwarz 2018-01-27 11:51:45 UTC
Created attachment 190104 [details]
notmuch-0.26.diff
Comment 5 commit-hook freebsd_committer 2018-02-27 05:02:24 UTC
A commit references this bug:

Author: fluffy
Date: Tue Feb 27 05:01:30 UTC 2018
New revision: 463108
URL: https://svnweb.freebsd.org/changeset/ports/463108

Log:
  - Pass maintainership of mail/notmuch and mail/py-notmuch to submitter.
  - Update ports to version to 0.26.
  - Unconditionally install completions according to Porter's Handbook Chapter 6.31.
      without adding extra dependencies.
  - Turn on the MANPAGES option by default. Building the manual pages is kept as an option
      to allow for more minimal custom builds.
  - Remove RUBY option as it never did anything. There are no build or install instructions
      in the Makefile nor %%RUBY%% references in pkg-plist.
      Building with the RUBY option enabled makes absolutely no difference to the produced package.
      The only thing ever requiring the Ruby bindings to the Notmuch library is the Vim client,
      which isn't built either.
  - Turn mail/py-notmuch into a slave port of mail/notmuch.
  - Split off EMACS option into the flavor aware slave port mail/notmuch-emacs.
  - Split off MUTT option into the slave port mail/notmuch-mutt.
  - Perform miscellaneous cleanups.

  PR:		225059
  Submitted by:	seschwar AT gmail.com
  Reviewed by:	mat, fluffy, maintainers
  Approved by:	maintainers
  Differential Revision:	D13944

Changes:
  head/mail/Makefile
  head/mail/notmuch/Makefile
  head/mail/notmuch/distinfo
  head/mail/notmuch/files/
  head/mail/notmuch/pkg-descr
  head/mail/notmuch/pkg-plist
  head/mail/notmuch-emacs/
  head/mail/notmuch-emacs/Makefile
  head/mail/notmuch-emacs/pkg-descr
  head/mail/notmuch-emacs/pkg-plist
  head/mail/notmuch-mutt/
  head/mail/notmuch-mutt/Makefile
  head/mail/notmuch-mutt/pkg-descr
  head/mail/notmuch-mutt/pkg-plist
  head/mail/py-notmuch/Makefile
  head/mail/py-notmuch/distinfo
  head/mail/py-notmuch/pkg-descr